# TdApi.UpdatePollAnswer (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: UpdatePollAnswer

Package it.tdlight.jni

# Class TdApi.UpdatePollAnswer

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdatePollAnswer

Enclosing class:
  TdApi

    public static class TdApi.UpdatePollAnswer
    extends TdApi.Update

A user changed the answer to a poll; for bots only.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`int[]` | `optionIds` | 0-based identifiers of answer options, chosen by the user.
`long` | `pollId` | Unique poll identifier.
`long` | `userId` | The user, who changed the answer to the poll.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`UpdatePollAnswer()` | A user changed the answer to a poll; for bots only.
`UpdatePollAnswer​(long pollId, long userId, int[] optionIds)` | A user changed the answer to a poll; for bots only.
`UpdatePollAnswer​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### pollId

public long pollId
Unique poll identifier.

### userId

public long userId
The user, who changed the answer to the poll.

### optionIds

public int[] optionIds
0-based identifiers of answer options, chosen by the user.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### UpdatePollAnswer

public UpdatePollAnswer()
A user changed the answer to a poll; for bots only.

### UpdatePollAnswer

public UpdatePollAnswer​(long pollId, long userId, int[] optionIds)
A user changed the answer to a poll; for bots only.

Parameters:
  `pollId` - long Unique poll identifier.
  `userId` - long The user, who changed the answer to the poll.
  `optionIds` - int[] 0-based identifiers of answer options, chosen by the user.

### UpdatePollAnswer

public UpdatePollAnswer​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`